--------------------------------------------------------------------------------
-- Weapon Experimental Drugs
-- Original Carnage Contest Weapon
-- Script by DC, February 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.expdrugs={}

-- Load & Prepare Ressources
cc.expdrugs.gfx_wpn=loadgfx("weapons/expdrugs.png")						-- Weapon Image
setmidhandle(cc.expdrugs.gfx_wpn)
cc.expdrugs.sfx_heal=loadsfx("selfhealing.ogg")							-- Heal
cc.expdrugs.sfx_fail=loadsfx("expdrugs.ogg")							-- Fail

--------------------------------------------------------------------------------
-- Weapon: Experimental Drugs
--------------------------------------------------------------------------------

cc.expdrugs.id=addweapon("cc.expdrugs","Experimental Drugs",cc.expdrugs.gfx_wpn,0,0)	-- Add Weapon (0 uses)

function cc.expdrugs.draw()												-- Draw
	if (weapon_shots==0) then
		setblend(blend_alpha)
		setalpha(1)
		setcolor(255,255,255)
		drawinhand(cc.expdrugs.gfx_wpn,8,2,0.4)
	end
end

function cc.expdrugs.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			randomseed(getframe()*1415)
			if (random(1,100)<=60) then
				-- Heal
				playerheal(0,100)
				playerstate(0,state_poisoned,0)
				-- Effect
				playsound(cc.expdrugs.sfx_heal)
				x=getplayerx(0)
				y=getplayery(0)+3
				particle(p_muzzle,x,y)
				particlesize(1,1)
				particlecolor(255,0,0)
				particlealpha(1.0)
				particlefadealpha(0.01)
				particle(p_muzzle,x,y)
				particlesize(1,2)
				particlecolor(255,0,0)
				particlealpha(1.0)
				particlefadealpha(0.02)
				particlerotation(0)
				for j=1,15,1 do
					particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
					particlesize(3.0,3.0)
					particlecolor(255,0,0)
					particlespeed(0,math.random(2,15)*-0.1)
					particlefadealpha(0.01)
				end
			else
				-- Damage
				health=getplayerhealth(0)
				playerdamage(0,health-1)
				playerstate(0,state_poisoned,1)
				-- Effect
				playsound(cc.expdrugs.sfx_fail)
				x=getplayerx(0)
				y=getplayery(0)+3
				particle(p_muzzle,x,y)
				particlesize(1,1)
				particlecolor(0,255,0)
				particlealpha(1.0)
				particlefadealpha(0.01)
				particle(p_muzzle,x,y)
				particlesize(1,2)
				particlecolor(0,255,0)
				particlealpha(1.0)
				particlefadealpha(0.02)
				particlerotation(0)
				for j=1,15,1 do
					particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
					particlesize(3.0,3.0)
					particlecolor(0,255,0)
					particlespeed(0,math.random(2,15)*-0.1)
					particlefadealpha(0.01)
				end
			end
			-- End Turn
			endturn()
		end
	end
end