--------------------------------------------------------------------------------
-- Weapon Hang-Glider
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.hangglider={}

-- Load & Prepare Ressources
cc.hangglider.gfx_wpn=loadgfx("weapons/hangglider.bmp")							-- Weapon Image
setmidhandle(cc.hangglider.gfx_wpn)

--------------------------------------------------------------------------------
-- Weapon: Hang-Glider
--------------------------------------------------------------------------------

cc.hangglider.id=addweapon("cc.hangglider","Hang-Glider",cc.hangglider.gfx_wpn,1)	-- Add Weapon (1 use)

function cc.hangglider.draw()													-- Draw
	if weapon_mode==1 then
		setblend(blend_alpha)
		setalpha(0.9)
		setcolor(255,255,255)
		setscale(getplayerdirection(0),1)
		setrotation(0)
		drawimage(cc.hangglider.gfx_wpn,getplayerx(0),getplayery(0)-15)
		-- HUD Info
		hudinfo("Press [Space] to deactivate the hang-glider!")
	elseif weapon_shots==0 then
		-- HUD Info
		hudinfo("Hang-glider will be activated automatically when falling!")
	end
end

function cc.hangglider.attack(attack)											-- Attack
	if (weapon_mode==0) and (weapon_shots==0) then
		if getplayeryspeed(0)>6.0 then
			-- Use weapon and allow to use another one afterwards (1)
			useweapon(1)
			-- Activate
			weapon_mode=1
			weapon_shots=1
		end
	end
	-- Control fallspeed if hangglider is active
	if (weapon_mode==1) then
		-- Disable hangglider
		if attack==1 or getplayeryspeed(0)<1.0 then
			weapon_mode=0
		end
		if getframesleft()<=1 then
			weapon_mode=0
		end
		-- Control fallspeed
		playerpush(0,getplayerdirection(0)*2.0+getwind()*5.0,1.0,1)
	end
end