--------------------------------------------------------------------------------
-- Weapon Jet-Pack
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.jetpack={}

-- Load & Prepare Ressources
cc.jetpack.gfx_wpn=loadgfx("weapons/jetpack.bmp")							-- Weapon Image
setmidhandle(cc.jetpack.gfx_wpn)
cc.jetpack.gfx_icon=loadgfx("weapons/jetpackicon.bmp")						-- Weapon Icon Image
setmidhandle(cc.jetpack.gfx_icon)
cc.jetpack.sfx_wpn=loadsfx("jetpack.wav")									-- Jetpack Sound

--------------------------------------------------------------------------------
-- Weapon: Jet-Pack
--------------------------------------------------------------------------------

cc.jetpack.id=addweapon("cc.jetpack","Jet-Pack",cc.jetpack.gfx_icon,1)		-- Add Weapon (1 use)
cc.jetpack.fuel=200															-- Jetpack fuel (200/50=4 Sec)

function cc.jetpack.draw()													-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	setscale(getplayerdirection(0),1)
	setrotation(0)
	drawimage(cc.jetpack.gfx_wpn,getplayerx(0),getplayery(0)+7)
	-- HUD ammobar
	if cc.jetpack.fuel-weapon_shots>0 then
		hudammobar(cc.jetpack.fuel-weapon_shots,cc.jetpack.fuel)
	end
end

function cc.jetpack.attack(attack)											-- Attack
	if (weapon_shots<=cc.jetpack.fuel) then
		if (attack==1) then
			-- Use weapon and allow to use another one afterwards
			useweapon(1)
			-- Increase shots
			weapon_shots=weapon_shots+1
			-- Increase thrust up to 2.5
			weapon_timer=weapon_timer+0.1
			if weapon_timer>2.5 then
				weapon_timer=2.5
			end
			-- Push current player with thrust
			playerpush(0,0,-weapon_timer,1)
			-- FX
			for xo=-7,7,14 do
				particle(p_smoke,getplayerx(0)+xo,getplayery(0)+15)
				particlespeed(math.random(-2,2)*0.1,math.random(3,5)*0.1)
				particlefadealpha(0.01)
				particle(p_lightpuff,getplayerx(0)+xo,getplayery(0)+13)
				particlespeed(math.random(-2,2)*0.1,math.random(3,5)*0.1)
				particlefadealpha(0.04)
			end
			if math.mod(weapon_shots,3)==0 then
				playsound(cc.jetpack.sfx_wpn)
			end
		else
			-- Reset thrust
			weapon_timer=0.0
		end
	end
end