--------------------------------------------------------------------------------
-- Weapon Neutralizer
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.neutralizer={}

-- Load & Prepare Ressources
cc.neutralizer.gfx_wpn=loadgfx("weapons/neutralizer.png")						-- Weapon Image
setmidhandle(cc.neutralizer.gfx_wpn)
cc.neutralizer.sfx_heal=loadsfx("selfhealing.ogg")

--------------------------------------------------------------------------------
-- Weapon: Neutralizer
--------------------------------------------------------------------------------

cc.neutralizer.id=addweapon("cc.neutralizer","Effect Neutralizer",cc.neutralizer.gfx_wpn,0)	-- Add Weapon (0 uses)

function cc.neutralizer.draw()												-- Draw
	-- Do nothing!
end

function cc.neutralizer.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- Use weapon and allow to use another one afterwards (1)
			useweapon(1)
			weapon_shots=weapon_shots+1
			-- Remove States
			playerstate(0,state_poisoned,0)
			playerstate(0,state_confused,0)
			playerstate(0,state_frozen,0)
			-- Effect
			playsound(cc.neutralizer.sfx_heal)
			x=getplayerx(0)
			y=getplayery(0)+3
			particle(p_muzzle,x,y)
			particlesize(1,1)
			particlecolor(255,0,150)
			particlealpha(1.0)
			particlefadealpha(0.01)
			particle(p_muzzle,x,y)
			particlesize(1,2)
			particlecolor(255,0,150)
			particlealpha(1.0)
			particlefadealpha(0.02)
			particlerotation(0)
			for j=1,15,1 do
				particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
				particlesize(3.0,3.0)
				particlecolor(255,0,150)
				particlespeed(0,math.random(2,15)*-0.1)
				particlefadealpha(0.01)
			end
		end
	end
end