--------------------------------------------------------------------------------
-- Weapon Self-Healing
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.selfhealing={}

-- Load & Prepare Ressources
cc.selfhealing.gfx_wpn=loadgfx("weapons/selfhealing.png")						-- Weapon Image
setmidhandle(cc.selfhealing.gfx_wpn)
cc.selfhealing.sfx_heal=loadsfx("selfhealing.ogg")

--------------------------------------------------------------------------------
-- Weapon: Self-Healing
--------------------------------------------------------------------------------

cc.selfhealing.id=addweapon("cc.selfhealing","Self-Healing",cc.selfhealing.gfx_wpn,1,2)	-- Add Weapon (1 use, first in round 2)

function cc.selfhealing.draw()												-- Draw
	-- Do nothing!
end

function cc.selfhealing.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Heal
			playerheal(0,50)
			playerstate(0,state_poisoned,0)
			-- Effect
			playsound(cc.selfhealing.sfx_heal)
			x=getplayerx(0)
			y=getplayery(0)+3
			particle(p_muzzle,x,y)
			particlesize(1,1)
			particlecolor(255,0,0)
			particlealpha(1.0)
			particlefadealpha(0.01)
			particle(p_muzzle,x,y)
			particlesize(1,2)
			particlecolor(255,0,0)
			particlealpha(1.0)
			particlefadealpha(0.02)
			particlerotation(0)
			for j=1,15,1 do
				particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
				particlesize(3.0,3.0)
				particlecolor(255,0,0)
				particlespeed(0,math.random(2,15)*-0.1)
				particlefadealpha(0.01)
			end
			-- End Turn
			endturn()
		end
	end
end