--------------------------------------------------------------------------------
-- Weapon shortteleport
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.shortteleport={}

-- Load & Prepare Ressources
cc.shortteleport.gfx_wpn=loadgfx("weapons/rc.bmp")									-- Weapon Image
setmidhandle(cc.shortteleport.gfx_wpn)
cc.shortteleport.gfx_icon=loadgfx("weapons/shortteleporticon.png")					-- Weapon Icon
setmidhandle(cc.shortteleport.gfx_icon)
cc.shortteleport.sfx_shortteleport=loadsfx("teleport.wav")							-- Weapon shortteleport

--------------------------------------------------------------------------------
-- Weapon: shortteleport
--------------------------------------------------------------------------------

cc.shortteleport.id=addweapon("cc.shortteleport","Short Teleport",cc.shortteleport.gfx_icon,0)	-- Add Weapon (1 uses)

function cc.shortteleport.draw()													-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	drawinhand(cc.shortteleport.gfx_wpn,7,0)
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_range,0,100)
	end
end

function cc.shortteleport.attack(attack)											-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		if collision(colplayer,weapon_x,weapon_y,1,1)==0 then
			-- Allow weapon switching!
			useweapon(1)
			weapon_shots=weapon_shots+1
			-- FX
			playsound(cc.shortteleport.sfx_shortteleport)
			for i=1,2,1 do
				if i==1 then
					x=getplayerx(0)
					y=getplayery(0)+3
				else
					x=weapon_x
					y=weapon_y+3
				end
				particle(p_muzzle,x,y)
				particlesize(1,1)
				particlecolor(50,200,255)
				particlealpha(1.0)
				particlefadealpha(0.01)
				particle(p_muzzle,x,y)
				particlesize(1,3)
				particlecolor(50,200,255)
				particlealpha(1.0)
				particlefadealpha(0.02)
				particlerotation(0)
				for j=1,10,1 do
					particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
					particlesize(3.0,3.0)
					particlecolor(50,200,255)
					particlespeed(0,math.random(1,3)*-1.0)
					particlefadealpha(0.01)
				end
			end
			-- Change Position
			playerposition(0,weapon_x,weapon_y)
		else
			weapon_position=0
		end
	end
end