--------------------------------------------------------------------------------
-- Weapon Super Jet-Pack
-- Original Carnage Contest Weapon
-- Script by DC, November 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.superjetpack={}

-- Load & Prepare Ressources
cc.superjetpack.gfx_wpn=loadgfx("weapons/jetpack.bmp")							-- Weapon Image
setmidhandle(cc.superjetpack.gfx_wpn)
cc.superjetpack.gfx_icon=loadgfx("weapons/superjetpackicon.bmp")				-- Weapon Icon Image
setmidhandle(cc.superjetpack.gfx_icon)
cc.superjetpack.sfx_wpn=loadsfx("jetpack.wav")									-- Jetpack Sound

--------------------------------------------------------------------------------
-- Weapon: Super Jet-Pack
--------------------------------------------------------------------------------

cc.superjetpack.id=addweapon("cc.superjetpack","Super Jet-Pack",cc.superjetpack.gfx_icon,0)		-- Add Weapon (0 uses)
cc.superjetpack.fuel=1000														-- superjetpack fuel (1000/50=20 Sec)

function cc.superjetpack.draw()													-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	setscale(getplayerdirection(0),1)
	setrotation(0)
	drawimage(cc.superjetpack.gfx_wpn,getplayerx(0),getplayery(0)+7)
	-- HUD ammobar
	if cc.superjetpack.fuel-weapon_shots>0 then
		hudammobar(cc.superjetpack.fuel-weapon_shots,cc.superjetpack.fuel)
	end
end

function cc.superjetpack.attack(attack)											-- Attack
	if (weapon_shots<=cc.superjetpack.fuel) then
		if (attack==1) then
			-- Use weapon and allow to use another one afterwards
			useweapon(1)
			-- Increase shots
			weapon_shots=weapon_shots+1
			-- Increase thrust up to 2.5
			weapon_timer=weapon_timer+0.1
			if weapon_timer>2.5 then
				weapon_timer=2.5
			end
			-- Push current player with thrust
			playerpush(0,0,-weapon_timer,1)
			-- FX
			for xo=-7,7,14 do
				particle(p_smoke,getplayerx(0)+xo,getplayery(0)+15)
				particlespeed(math.random(-2,2)*0.1,math.random(3,5)*0.1)
				particlefadealpha(0.01)
				particle(p_lightpuff,getplayerx(0)+xo,getplayery(0)+13)
				particlespeed(math.random(-2,2)*0.1,math.random(3,5)*0.1)
				particlefadealpha(0.04)
			end
			if math.mod(weapon_shots,3)==0 then
				playsound(cc.superjetpack.sfx_wpn)
			end
		else
			-- Reset thrust
			weapon_timer=0.0
		end
	end
end