--------------------------------------------------------------------------------
-- Weapon Super Teleport
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.superteleport={}

-- Load & Prepare Ressources
cc.superteleport.gfx_wpn=loadgfx("weapons/rc.bmp")									-- Weapon Image
setmidhandle(cc.superteleport.gfx_wpn)
cc.superteleport.gfx_icon=loadgfx("weapons/superteleporticon.png")					-- Weapon Icon
setmidhandle(cc.superteleport.gfx_icon)
cc.superteleport.sfx_superteleport=loadsfx("teleport.wav")							-- Weapon superteleport

--------------------------------------------------------------------------------
-- Weapon: Super Teleport
--------------------------------------------------------------------------------

cc.superteleport.id=addweapon("cc.superteleport","Super Teleport",cc.superteleport.gfx_icon,0) -- Add Weapon (0 uses)

function cc.superteleport.draw()														-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	drawinhand(cc.superteleport.gfx_wpn,7,0)
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_invisible)
	end
end

function cc.superteleport.attack(attack)												-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		if collision(colplayer,weapon_x,weapon_y,1,1)==0 then
			-- Use weapon and allow to use another one afterwards (1)
			useweapon(1)
			weapon_shots=weapon_shots+1
			-- FX
			playsound(cc.superteleport.sfx_superteleport)
			for i=1,2,1 do
				if i==1 then
					x=getplayerx(0)
					y=getplayery(0)+3
				else
					x=weapon_x
					y=weapon_y+3
				end
				particle(p_muzzle,x,y)
				particlesize(1,1)
				particlecolor(255,200,50)
				particlealpha(1.0)
				particlefadealpha(0.01)
				particle(p_muzzle,x,y)
				particlesize(1,3)
				particlecolor(255,200,50)
				particlealpha(1.0)
				particlefadealpha(0.02)
				particlerotation(0)
				for j=1,10,1 do
					particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
					particlesize(3.0,3.0)
					particlecolor(255,200,50)
					particlespeed(0,math.random(1,3)*-1.0)
					particlefadealpha(0.01)
				end
			end
			-- Change Position
			playerposition(0,weapon_x,weapon_y)
		else
			weapon_position=0
		end
	end
end