--------------------------------------------------------------------------------
-- Weapon Teleport
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.teleport={}

-- Load & Prepare Ressources
cc.teleport.gfx_wpn=loadgfx("weapons/rc.bmp")									-- Weapon Image
setmidhandle(cc.teleport.gfx_wpn)
cc.teleport.gfx_icon=loadgfx("weapons/teleporticon.png")						-- Weapon Icon
setmidhandle(cc.teleport.gfx_icon)
cc.teleport.sfx_teleport=loadsfx("teleport.wav")								-- Weapon Teleport

--------------------------------------------------------------------------------
-- Weapon: Teleport
--------------------------------------------------------------------------------

cc.teleport.id=addweapon("cc.teleport","Teleport",cc.teleport.gfx_icon,1)		-- Add Weapon (1 use)

function cc.teleport.draw()														-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	drawinhand(cc.teleport.gfx_wpn,7,0)
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_invisible)
	end
end

function cc.teleport.attack(attack)												-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		if collision(colplayer,weapon_x,weapon_y)==0 then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- FX
			playsound(cc.teleport.sfx_teleport)
			for i=1,2,1 do
				if i==1 then
					x=getplayerx(0)
					y=getplayery(0)+3
				else
					x=weapon_x
					y=weapon_y+3
				end
				particle(p_muzzle,x,y)
				particlesize(1,1)
				particlecolor(50,200,255)
				particlealpha(1.0)
				particlefadealpha(0.01)
				particle(p_muzzle,x,y)
				particlesize(1,3)
				particlecolor(50,200,255)
				particlealpha(1.0)
				particlefadealpha(0.02)
				particlerotation(0)
				for j=1,10,1 do
					particle(p_flare,x-10.0+math.random()*20.0,y+math.random()*10.0)
					particlesize(3.0,3.0)
					particlecolor(50,200,255)
					particlespeed(0,math.random(1,3)*-1.0)
					particlefadealpha(0.01)
				end
			end
			-- Change Position
			playerposition(0,weapon_x,weapon_y)
			-- End Turn
			endturn()
		else
			weapon_position=0
		end
	end
end