--------------------------------------------------------------------------------
-- Weapon Triple Power Jump
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.triplepowerjump={}

-- Load & Prepare Ressources
cc.triplepowerjump.gfx_wpn=loadgfx("weapons/triplepowerjump.png")						-- Weapon Image
setmidhandle(cc.triplepowerjump.gfx_wpn)
cc.triplepowerjump.sfx_triplepowerjump=loadsfx("swish.ogg")								-- Sound

--------------------------------------------------------------------------------
-- Weapon: Triple Power Jump
--------------------------------------------------------------------------------

cc.triplepowerjump.id=addweapon("cc.triplepowerjump","Triple Power Jump",cc.triplepowerjump.gfx_wpn,1)		-- Add Weapon (1 use)
cc.triplepowerjump.ammo=3																-- 3 Power Jumps

function cc.triplepowerjump.draw()														-- Draw
	if cc.triplepowerjump.ammo-weapon_shots>0 then
		-- HUD Crosshair
		hudcrosshair(6,3)
		-- HUD ammobar
		hudammobar(cc.triplepowerjump.ammo-weapon_shots,cc.triplepowerjump.ammo)
	end
end

function cc.triplepowerjump.attack(attack)												-- Attack
	if weapon_timer>0 then
		weapon_timer=weapon_timer-1
	end
	if (weapon_shots<cc.triplepowerjump.ammo) and (attack==1) and (weapon_timer<=0) then
		-- Use weapon and allow to use another one afterwards (1)
		useweapon(1)
		weapon_shots=weapon_shots+1
		weapon_timer=20
		-- FX
		playsound(cc.triplepowerjump.sfx_triplepowerjump)
		particle(p_muzzle,getplayerx(0),getplayery(0))
		particlesize(1,1)
		particlecolor(255,255,0)
		particlealpha(0.5)
		particlefadealpha(0.03)
		-- Push (absolute, don't push others)
		playerpush(0,math.sin(math.rad(getplayerrotation(0)))*7.0,-math.cos(math.rad(getplayerrotation(0)))*7.0,1,0)
	end
	if weapon_shots>0 then
		-- Avoid Falldamage
		if getplayeryspeed(0)>7.0 then
			playerpush(0,getplayerxspeed(0),7.0,1,0)
		end
	end
end