--------------------------------------------------------------------------------
-- Weapon Digger
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.digger={}

-- Load & Prepare Ressources
cc.digger.gfx_wpn=loadgfx("weapons/digger.bmp")							-- Weapon Image
setmidhandle(cc.digger.gfx_wpn)
cc.digger.sfx_attack=loadsfx("digger.wav")								-- Attack Sound

--------------------------------------------------------------------------------
-- Weapon: Digger
--------------------------------------------------------------------------------

cc.digger.id=addweapon("cc.digger","Digger",cc.digger.gfx_wpn,2)		-- Add Weapon (2 uses)
cc.digger.ammo=10														-- 10 Digs

function cc.digger.draw()												-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	drawinhand(cc.digger.gfx_wpn,7,0)
	-- HUD ammobar
	if cc.digger.ammo-weapon_shots>0 then
		hudammobar(cc.digger.ammo-weapon_shots,cc.digger.ammo)
	end
	-- HUD Crosshair
	if cc.digger.ammo-weapon_shots>0 then
		hudcrosshair(7,3)
	end
end

function cc.digger.attack(attack)										-- Attack
	-- Timer
	if weapon_timer>0 then
		weapon_timer=weapon_timer-1
	end
	if (weapon_shots<cc.digger.ammo) and (weapon_timer<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			playsound(cc.digger.sfx_attack)
			weapon_shots=weapon_shots+1
			weapon_timer=20
			-- Free Terrain
			terrainexplosion(getplayerx(0)+getplayerdirection(0)*7+math.sin(math.rad(getplayerrotation(0)))*1,getplayery(0)-1-math.cos(math.rad(getplayerrotation(0)))*3,15,2)
			terrainexplosion(getplayerx(0)+getplayerdirection(0)*7+math.sin(math.rad(getplayerrotation(0)))*10,getplayery(0)-1-math.cos(math.rad(getplayerrotation(0)))*10,15,2)
			particle(p_muzzle,getplayerx(0)+getplayerdirection(0)*7+math.sin(math.rad(getplayerrotation(0)))*10,getplayery(0)-1-math.cos(math.rad(getplayerrotation(0)))*10)
			-- End Turn
			if weapon_shots>=cc.digger.ammo then
				endturn()
			end
		end
	end
end