--------------------------------------------------------------------------------
-- Weapon Super Bridge Kit
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.superbridgekit={}

-- Load & Prepare Ressources
cc.superbridgekit.gfx_wpn=loadgfx("weapons/superbridgekit.bmp")						-- Weapon Image
setmidhandle(cc.superbridgekit.gfx_wpn)
cc.superbridgekit.gfx_stone=loadgfx("buildings/bridgepart.bmp")						-- Bridge Part Image
setmidhandle(cc.superbridgekit.gfx_stone)
cc.superbridgekit.sfx_build=loadsfx("buildwood.ogg")								-- Build Sound

--------------------------------------------------------------------------------
-- Weapon: Super Bridge Kit
--------------------------------------------------------------------------------

cc.superbridgekit.id=addweapon("cc.superbridgekit","Super Bridge Kit",cc.superbridgekit.gfx_wpn,0)	-- Add Weapon (0 uses)
cc.superbridgekit.ammo=100															-- Parts

function cc.superbridgekit.draw()													-- Draw
	-- HUD Positioning
	if weapon_mode==0 then
		hudpositioning(pos_build,cc.superbridgekit.gfx_stone,150)
	end
end

function cc.superbridgekit.attack(attack)											-- Attack
	-- Start Point
	if (weapon_mode==0) and (weapon_position==1) then
		weapon_position=0
		if weapon_x>getplayerx(0) then
			weapon_mode=1
		else
			weapon_mode=-1
		end
		-- No more weapon switching!
		useweapon(0)
		-- Make sure that there is enough round time
		secondsleft=math.floor(getframesleft()/50)
		changeturntime(30-secondsleft)
	end
	-- Build (auto!)
	if (weapon_mode~=0) and (weapon_shots<cc.superbridgekit.ammo) then
		-- Scroll to position
		scroll(weapon_x,weapon_y)
		-- Timer
		weapon_timer=weapon_timer-1
		if weapon_timer<=0 then
			weapon_timer=10
			weapon_shots=weapon_shots+1
			-- Check Buildplace
			if collision(cc.superbridgekit.gfx_stone,weapon_x,weapon_y)==0 and weapon_x>0 and weapon_x<getmapwidth() then
				-- Draw
				terrainimage(cc.superbridgekit.gfx_stone,weapon_x,weapon_y)
				-- Effect
				playsound(cc.superbridgekit.sfx_build)
				particle(p_smoke,weapon_x,weapon_y)
				-- Change Offset
				weapon_x=weapon_x+(20*weapon_mode)
			else
				weapon_shots=cc.superbridgekit.ammo
			end
			-- End Turn?
			if (weapon_shots>=cc.superbridgekit.ammo) then
				endturn()
			end
		end
	end
end