--------------------------------------------------------------------------------
-- Weapon Anti-Gravity
-- Original Carnage Contest Weapon
-- Script by DC, February 2010, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.antigravity={}

-- Load & Prepare Ressources
cc.antigravity.gfx_wpn=loadgfx("weapons/antigravity.png")							-- Weapon Image
setmidhandle(cc.antigravity.gfx_wpn)
cc.antigravity.sfx_attack=loadsfx("antigravity.ogg")								-- antigravity Sound

--------------------------------------------------------------------------------
-- Weapon: Anti-Gravity
--------------------------------------------------------------------------------

cc.antigravity.id=addweapon("cc.antigravity","Anti-Gravity",cc.antigravity.gfx_wpn,0,2)			-- Add Weapon (0 uses, first in round 2)
cc.antigravity.power=200																		-- Power

function cc.antigravity.draw()												-- Draw
	-- Partices
	if (weapon_shots>0) and (weapon_shots<cc.antigravity.power) then
		if ((getframe()%5)==0) then
			players=playertable(0,0) -- All living players
			for i=1,#players,1 do
				particle(p_muzzle,getplayerx(players[i]),getplayery(players[i]))
				particlesize(0.7,0.7)
				particlecolor(100,255,255)
				particlealpha(0.5)
				particlefadealpha(0.01)
			end
		end
	end
end

function cc.antigravity.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=1
			-- Make sure that there is enough round time
			secondsleft=math.floor(getframesleft()/50)
			changeturntime(30-secondsleft)
			-- Sound
			playsound(cc.antigravity.sfx_attack)
		end
	end
	-- Anti-Gravity
	if (weapon_shots>0) then
		-- End
		if (weapon_shots>=cc.antigravity.power) then
			endturn()
		else
			-- Push Upwards
			players=playertable(0,0) -- All living players
			for i=1,#players,1 do
				playerpush(players[i],getwind()*3.0,-2.4,1,1)
			end
			-- Count Up
			weapon_shots=weapon_shots+1
		end
	end
end