--------------------------------------------------------------------------------
-- Weapon Explosive Belt
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.belt={}

-- Load & Prepare Ressources
cc.belt.gfx_wpn=loadgfx("weapons/belt.bmp")							-- Weapon Image
setmidhandle(cc.belt.gfx_wpn)

--------------------------------------------------------------------------------
-- Weapon: Explosive Belt
--------------------------------------------------------------------------------

cc.belt.id=addweapon("cc.belt","Explosive Belt",cc.belt.gfx_wpn)	-- Add Weapon

function cc.belt.draw()												-- Draw
	setblend(blend_alpha)
	setalpha(1)
	setcolor(255,255,255)
	setscale(getplayerdirection(0),1)
	setrotation(0)
	drawimage(cc.belt.gfx_wpn,getplayerx(0),getplayery(0)+7)
	hudinfo("Attention: Hitting [Space] with this weapon will kill your own player!")
end

function cc.belt.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Suicide
			playerdamage(0,100000)
			-- Cause damage
			arealdamage(getplayerx(0),getplayery(0),120,90)
			-- Destroy terrain
			terrainexplosion(getplayerx(0),getplayery(0),50,1)
			-- Crater
			grey=math.random(0,40)
			if math.random(0,1)==1 then
				terrainalphaimage(gfx_crater150,getplayerx(0),getplayery(0),math.random(6,9)*0.1,grey,grey,grey)
			else
				terrainalphaimage(gfx_crater175,getplayerx(0),getplayery(0),math.random(6,9)*0.1,grey,grey,grey)
			end
			-- End Turn
			endturn()
		end
	end
end