--------------------------------------------------------------------------------
-- Weapon Horizontal Laser + Projectile Laser
-- Original Carnage Contest Weapon
-- Script by DC, August 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.hlaser={}
cc.hlaser.laser={}

-- Load & Prepare Ressources
cc.hlaser.gfx_wpn=loadgfx("weapons/hlaser.bmp")									-- Weapon Image
setmidhandle(cc.hlaser.gfx_wpn)
cc.hlaser.gfx_laser=loadgfx("weapons/laserbeam.bmp")							-- Laser Beam
setmidhandle(cc.hlaser.gfx_laser)
cc.hlaser.sfx_attack=loadsfx("superlaser.ogg")									-- Attack Sound

--------------------------------------------------------------------------------
-- Weapon: Horizontal Laser
--------------------------------------------------------------------------------

cc.hlaser.id=addweapon("cc.hlaser","Horizontal Laser",cc.hlaser.gfx_wpn,0,3)	-- Add Weapon (0 uses, first in round 3)

function cc.hlaser.draw()														-- Draw
	-- HUD Positioning
	if weapon_shots==0 then
		hudpositioning(pos_invisible)
	end
end

function cc.hlaser.attack(attack)												-- Attack
	if (weapon_shots<=0) and (weapon_position==1) then
		-- No more weapon switching!
		useweapon(0)
		weapon_shots=weapon_shots+1
		-- Destroy Terrain
		terrainrect(0,weapon_y-5,getmapwidth(),10,0x00000000)
		-- Damage Players
		players=playertable()
		for i=1,#players,1 do
			if getplayerhealth(players[i])>0 then
				if getplayery(players[i])+12>=weapon_y-5 and getplayery(players[i])-13<=weapon_y+5 then
					playerdamage(players[i],50)
				end
			end
		end
		-- FX
		playsound(cc.hlaser.sfx_attack)
		particle(p_muzzle,weapon_x,weapon_y)
		particlecolor(255,0,0)
		particlefadealpha(0.005)
		particlesize(1,10)
		particlerotation(90)
		-- Laser
		id=createprojectile(cc.hlaser.laser.id)
		projectiles[id]={}
		projectiles[id].timer=30
		projectiles[id].x=weapon_x
		projectiles[id].y=weapon_y
		-- End Turn
		endturn()
	end
end

--------------------------------------------------------------------------------
-- Projectile: Laser
--------------------------------------------------------------------------------

cc.hlaser.laser.id=addprojectile("cc.hlaser.laser")					-- Add Projectile

function cc.hlaser.laser.draw(id)										-- Draw
	setblend(blend_light)
	setcolor(255,0,0)
	setalpha(projectiles[id].timer/30.0)
	setrotation(90)
	setscale(1,getmapwidth()/10.0)
	drawimage(cc.hlaser.gfx_laser,getmapwidth()/2.0,projectiles[id].y)
end

function cc.hlaser.laser.update(id)									-- Update
	-- Timer
	projectiles[id].timer=projectiles[id].timer-1
	if projectiles[id].timer<=0 then
		-- Free projectile
		freeprojectile(id)
	end
	-- Scroll to projectile
	scroll(projectiles[id].x,projectiles[id].y)
end