--------------------------------------------------------------------------------
-- Weapon Pandemic
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.pandemic={}

-- Load & Prepare Ressources
cc.pandemic.gfx_wpn=loadgfx("weapons/pandemic.png")							-- Weapon Image
setmidhandle(cc.pandemic.gfx_wpn)
cc.pandemic.sfx_attack=loadsfx("pandemic.ogg")								-- pandemic Sound

--------------------------------------------------------------------------------
-- Weapon: Pandemic
--------------------------------------------------------------------------------

cc.pandemic.id=addweapon("cc.pandemic","Pandemic",cc.pandemic.gfx_wpn,0,2)	-- Add Weapon (0 uses, first in round 2)

function cc.pandemic.draw()													-- Draw
	-- Do nothing
end

function cc.pandemic.attack(attack)											-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Effect
			playsound(cc.pandemic.sfx_attack)
			setbgcolor(0,255,0,1.0,0.005)
			-- Poison all Players
			players=playertable()
			for i=1,#players,1 do
				if getplayerhealth(players[i])>0 and players[i]~=playercurrent() then
					playerstate(players[i],state_poisoned,1)
					particle(p_ring,getplayerx(players[i]),getplayery(players[i]))
					particlecolor(0,255,0)
				end
			end
			-- End Turn
			endturn()
		end
	end
end