--------------------------------------------------------------------------------
-- Weapon Winter
-- Original Carnage Contest Weapon
-- Script by DC, September 2009, www.UnrealSoftware.de
--------------------------------------------------------------------------------

-- Setup Tables
if cc==nil then cc={} end
cc.winter={}

-- Load & Prepare Ressources
cc.winter.gfx_wpn=loadgfx("weapons/winter.png")							-- Weapon Image
setmidhandle(cc.winter.gfx_wpn)
cc.winter.sfx_attack=loadsfx("winter.ogg")								-- Winter Sound

--------------------------------------------------------------------------------
-- Weapon: Winter
--------------------------------------------------------------------------------

cc.winter.id=addweapon("cc.winter","Winter",cc.winter.gfx_wpn,0,2)		-- Add Weapon (0 uses, first in round 2)

function cc.winter.draw()												-- Draw
	-- Do nothing
end

function cc.winter.attack(attack)										-- Attack
	if (weapon_shots<=0) then
		if (attack==1) then
			-- No more weapon switching!
			useweapon(0)
			weapon_shots=weapon_shots+1
			-- Effect
			playsound(cc.winter.sfx_attack)
			setbgcolor(255,255,255,1.0,0.005)
			-- Freeze Players
			players=playertable()
			for i=1,#players,1 do
				if getplayerhealth(players[i])>0 and players[i]~=playercurrent() then
					playerstate(players[i],state_frozen,1)
					particle(p_ring,getplayerx(players[i]),getplayery(players[i]))
					particlecolor(255,255,255)
				end
			end
			-- End Turn
			endturn()
		end
	end
end